#include <bits/stdc++.h>

using namespace std;

pair<double, long long> a[200100];
long long b[200100];

int main()
{
    long long n,y;
    double x;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>y>>x;
        a[i]=make_pair(x,y);
    }
    sort(a,a+n);
    reverse(a,a+n);
    b[0]=a[0].second;
    for(int i=0;i<n;i++)
        b[i]=b[i-1]+a[i].second;
    double rez=0;
    for(int i=0;i<n;i++)
        rez=max(rez, a[i].first*b[i]*0.01);
    cout<<fixed<<setprecision(4)<<rez;
    return 0;
}